For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Nukio API
    • Authentication
    • Device
    • User
      • POSTcreateUser
      • POSTdeleteUser
      • POSTupdateUser
      • GETgetUser
    • Geozone
    • Fleets
    • Notifications
    • Routes
    • Passengers
    • Account Status
    • Nukio SDK
LogoLogo
Nukio APIUser

getUser

||View as Markdown|
GET
https://app.nukio.mx/api/v1/user/getuser/:userID/authorization
GET
/api/v1/user/getuser/:userID/authorization
$curl https://app.nukio.mx/api/v1/user/getuser/demo/authorization \
> -H "authorization: <apiKey>"
200User_getUser_example
1{
2 "userID": "demo",
3 "success": "1",
4 "isActive": "true",
5 "contactName": "",
6 "status_code": "200",
7 "contactEmail": "",
8 "displayDiscription": "demo"
9}
Was this page helpful?
Previous

updateUser

Next

Overview

Built with

Authentication

authorizationstring
API Key authentication via header

Path parameters

userIDstringRequired
User ID

Response headers

pragmastring
:statusstring
expiresstring
accept-rangesstring
cache-controlstring
x-frame-optionsstring
x-xss-protectionstring
x-application-contextstring
x-content-type-optionsstring

Response

OK
userIDstring
successstring
isActivestring
contactNamestring
status_codestring
contactEmailstring
displayDiscriptionstring
displayNameany